Bug 199703 - 2.6.16-1.2069_FC4smp ext3 assertion failure on commit
2.6.16-1.2069_FC4smp ext3 assertion failure on commit
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Brian Brock
: 199705 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-21 10:33 EDT by Bo Stewart
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bo Stewart 2006-07-21 10:33:42 EDT
Description of problem:

Message from /var/log/messages below:
Jul 21 08:49:00 db3 kernel: Assertion failure in journal_commit_transaction() 
at fs/jbd/commit.c:793: "jh->b_next_transaction == ((void *)0)"
Jul 21 08:49:00 db3 kernel: ------------[ cut here ]------------
Jul 21 08:49:00 db3 kernel: kernel BUG at fs/jbd/commit.c:793!
Jul 21 08:49:00 db3 kernel: invalid opcode: 0000 [#1]
Jul 21 08:49:00 db3 kernel: SMP
Jul 21 08:49:00 db3 kernel: last sysfs file: /class/vc/vcsa2/dev
Jul 21 08:49:00 db3 kernel: Modules linked in: xt_state ip_conntrack nfnetlink 
iptable_filter ip_tables nfs lockd nfs_acl ipv6 parport_pc lp parport autofs4 
rfcomm l2cap bluetooth sunrpc ipt_REJECT xt_tcpudp x_tables dm_mod video 
button battery ac uhci_hcd ehci_hcd e752x_edac edac_mc e1000 floppy sg ext3 
jbd megaraid_mbox megaraid_mm sd_mod scsi_mod
Jul 21 08:49:00 db3 kernel: CPU:    0
Jul 21 08:49:00 db3 kernel: EIP:    0060:[<f887ed6b>]    Not tainted VLI
Jul 21 08:49:00 db3 kernel: EFLAGS: 00010292   (2.6.16-1.2069_FC4smp #1)
Jul 21 08:49:00 db3 kernel: EIP is at journal_commit_transaction+0x789/0x114e 
Jul 21 08:49:00 db3 kernel: eax: 00000075   ebx: d3a3e4c0   ecx: c038b1c8   
edx: 00000282
Jul 21 08:49:00 db3 kernel: esi: ceeb5e70   edi: ce81dbcc   ebp: ef9204c0   
esp: cad5bf18
Jul 21 08:49:01 db3 kernel: ds: 007b   es: 007b   ss: 0068
Jul 21 08:49:01 db3 kernel: Process kjournald (pid: 6943, threadinfo=cad5b000 
Jul 21 08:49:01 db3 kernel: Stack: <0>f8884464 f88837c3 f8883c75 00000319 
f8884734 65551200 f754972c f7549614
Jul 21 08:49:01 db3 kernel:        f7549600 00000000 f00d2000 00000000 
00000000 00000b0c 00000000 cad5b000
Jul 21 08:49:01 db3 kernel:        00000000 c6c4b4f4 cad5bf84 f7549684 
c032870e c3d32f60 00000286 00000001

Version-Release number of selected component (if applicable):

How reproducible:  Happens sporatically, doesn't seem to be easily 
reproducible on this system.  This is the 2nd instance of this occuring.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matthew Miller 2006-07-27 12:47:10 EDT
*** Bug 199705 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2006-09-16 21:40:08 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 13:36:18 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:37:31 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.